classification
Title: 3.0b1 doesn't seem to install on macs
Type: behavior Stage:
Components: Installation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, brett.cannon, erickt, idadesub, ronaldoussoren
Priority: release blocker Keywords:

Created on 2008-06-23 07:52 by erickt, last changed 2008-07-01 19:49 by benjamin.peterson. This issue is now closed.

Messages (7)
msg68614 - (view) Author: Erick Tryzelaar (erickt) Date: 2008-06-23 07:52
Revision r63851 [1] by Benjamin Peterson removed a couple mac scripts, 
including cachersrc.py. Unfortunately, this script is still referenced in 
Mac/Makefile.in, so it fails to install on my mac. Anyone have a 
workaround I could add for packaging this up for macports?

[1]: http://svn.python.org/view?rev=63851&view=rev
msg68615 - (view) Author: Erick Tryzelaar (erickt) Date: 2008-06-23 07:56
I should add the error message:

DYLD_FRAMEWORK_PATH=/opt/local/var/macports/build/_Users_Shared_erickt_P
rojects_macports_dports.git_lang_python30/work/Python-3.0b1: 
../python.exe ./scripts/cachersrc.py -v 
/opt/local/var/macports/build/_Users_Shared_erickt_Projects_macports_dpo
rts.git_lang_python30/work/destroot/opt/local/Library/Frameworks/Python.
framework/Versions/3.0/lib/python3.0/plat-mac 
/opt/local/var/macports/build/_Users_Shared_erickt_Projects_macports_dpo
rts.git_lang_python30/work/destroot/opt/local/Library/Frameworks/Python.
framework/Versions/3.0/Mac/Tools
../python.exe: can't open file './scripts/cachersrc.py': [Errno 2] No 
such file or directory
make[1]: *** [installmacsubtree] Error 2
make: *** [frameworkinstallmaclib] Error 2


Also, I saw that someone else is having the same problem, so it's not 
just me:

http://groups.google.com/group/python-
dev2/browse_thread/thread/65813603fb4d93b9/2585073b7dcb2dbb?
lnk=gst&q=cachersrc#2585073b7dcb2dbb
msg68645 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-23 20:09
If you just remove the reference to cachesrc.py, do you still have
adverse effects?
msg68647 - (view) Author: Erick Tryzelaar (idadesub) Date: 2008-06-23 20:50
Hello again,

I then have problems with it finding MacOS.py in the BuildApplet.py script:

DYLD_FRAMEWORK_PATH=/opt/local/var/macports/build/_Users_Shared_erickt_Projects_macports_dports.git_lang_python30/work/Python-3.0b1:
../python.exe ./scripts/BuildApplet.py \
		--destroot "/opt/local/var/macports/build/_Users_Shared_erickt_Projects_macports_dports.git_lang_python30/work/destroot"
\
		--python /opt/local/Library/Frameworks/Python.framework/Versions/3.0/Resources/Python.app/Contents/MacOS/Python
\
		--output "/opt/local/var/macports/build/_Users_Shared_erickt_Projects_macports_dports.git_lang_python30/work/destroot/Applications/Python
3.0/Build Applet.app" \
		./scripts/BuildApplet.py
Traceback (most recent call last):
  File "./scripts/BuildApplet.py", line 14, in <module>
import MacOS
ImportError: No module named MacOS
make[1]: *** [install_BuildApplet] Error 1
make: *** [frameworkinstallapps] Error 2

On Mon, Jun 23, 2008 at 1:09 PM, Benjamin Peterson
<report@bugs.python.org> wrote:
>
> Benjamin Peterson <musiccomposition@gmail.com> added the comment:
>
> If you just remove the reference to cachesrc.py, do you still have
> adverse effects?
>
> ----------
> nosy: +benjamin.peterson
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue3174>
> _______________________________________
>
msg68648 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-23 21:26
Hmm. BuildApplet.py may have to go or some Mac modules may have to
reappear. I'm adding Ronald and Brett in to see if they have any
comments. Ronald, is it possible to have a Mac install w/o the
BuildApplet/cachesrc scripts?
msg68872 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2008-06-28 10:05
Unassigning because I don't have time to work on this.

The call to cachrsrc.py could probably be just removed from the 
Makefiles, this is a script that works with MacOS resource files and if 
the Mac-specific modules have been removed those are all gone as well.

There's probably another issue though: the build procedure for IDLE.app 
uses some mac-specific modules as well. The easiest way to fix that is 
to recreate those modules in Mac/Tools (or another suitable directory) 
and not install them.

As I said, I don't have time to work on Python 3.0 issues at all.
msg69056 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-01 18:24
Ok. I tried to get it working in r64618.
History
Date User Action Args
2008-07-01 19:49:26benjamin.petersonsetstatus: open -> closed
resolution: fixed
2008-07-01 18:24:22benjamin.petersonsetmessages: + msg69056
2008-06-28 13:15:42benjamin.petersonsetpriority: release blocker
assignee: benjamin.peterson
2008-06-28 10:05:33ronaldoussorensetassignee: ronaldoussoren -> (no value)
messages: + msg68872
2008-06-23 21:26:52benjamin.petersonsetassignee: ronaldoussoren
messages: + msg68648
nosy: + brett.cannon, ronaldoussoren
2008-06-23 20:50:09idadesubsetnosy: + idadesub
messages: + msg68647
2008-06-23 20:09:05benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg68645
2008-06-23 07:56:31ericktsetmessages: + msg68615
2008-06-23 07:52:39ericktcreate